Application: gvSIG desktop - gvSIG bugs #5413
No hace caso al cambio del tamaiho de un campo en la edicion
08/31/2020 06:01 PM - Mario Carrera

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version:

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3031 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si ampliamos el tamafio de un campo no lo tiene en cuenta.

Pasos seguidos:

- Ponemos en edicién una capa,

- abrimos su tabla y vamos al Gestor de columnas,

- seleccionamos un campo de tipo String y le damos a Modificar, cambiando el tamafo del campo (por ejemplo estabaen 5y le
ponemos 10). Aceptamos.

- vamos a una celda de la tabla, sobre ese campo (a cualquier registro) y la editamos. Si teniamos por ejemplo 5 caracteres le
anadimos 5 més hasta 10.

Al darle a Intro no se guardan esos nuevos caracteres, sigue apareciendo el valor original.
Si vamos a las propiedades de la tabla si que pone que dicho campo tiene de tamafio 10 (lo que habiamos cambiado).

En el log no aparece nada.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5414: No hace caso al c... New 08/31/2020

History

#1 - 08/31/2020 06:14 PM - Mario Carrera
- Subject changed from No hace caso al cambio del tamafio de un campo to No hace caso al cambio del tamafo de un campo en la edicion

#2 - 08/31/2020 06:22 PM - Mario Carrera
- Related to gvSIG bugs #5414: No hace caso al cambio del tamafio de un campo en la exportacion a nuevo SHP added

#3 - 09/01/2020 11:21 AM - Alvaro Anguix

- Target version deleted (2.5.1-3042-RC2)

Ocurre como se indicaba en el bug #5414, lo que permite la visualizacion es el atributo o caracteristica de "Caracteres en pantalla". La verdad es que

es confuso para el usuario "normal".

#4 - 09/01/2020 11:23 AM - Alvaro Anguix
afado sobre el funcionamiento, con un "caracteres en pantalla" de 10 y "tamafo" de 2, puedes afadir hasta 10 caracteres. No sé el tamafio a qué

aplica.
